Subject: Re: with git-next, git pull --rebase can print out "fatal: No such ref: ''" for branches without an upstream

From: Siddharth Agarwal <[email-masked]>
Date: Fri, 17 Jan 2014 10:09:39 -0800

On 01/17/2014 12:40 AM, John Keeping wrote:
> On Thu, Jan 16, 2014 at 06:47:38PM -0800, Siddharth Agarwal wrote:
>> On 01/16/2014 06:21 PM, Jeff King wrote:
>>> On Thu, Jan 16, 2014 at 05:08:14PM -0800, Siddharth Agarwal wrote:
>>>
>>>> With git-next, where git pull --rebase can print out "fatal: No such
>>>> ref: ''" if git pull --rebase is run on branches without an upstream.
>>> This is already fixed in bb3f458 (rebase: fix fork-point with zero
>>> arguments, 2014-01-09), I think.
>> If I'm reading the patch correctly, that only fixes it for git rebase,
>> not for git pull --rebase. git-pull.sh contains a separate invocation of
>> git merge-base --fork-point.
> I'm pretty sure the invocation in git-pull.sh is OK.  The error then
> comes out of git-rebase.sh when git-pull invokes it.

That doesn't square with 48059e4 being the culprit commit.

> Are you running a version of git-next that includes bb3f458?

Yes, I am.